package fxPuntti;




import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;

import javafx.scene.control.TextField;
import javafx.stage.Stage;



/**
 * @author laspa
 * @version 31.1.2025
 *
 */
public class KirjautumissivuGUIController implements ModalControllerInterface<String>{
    
    @FXML private TextField textVastaus;
    
    private String vastaus = null;
    
    @FXML private void handlePeruuta() {
        ModalController.closeStage(textVastaus);
    }
        
    @FXML private void handleKirjaudu() {
        vastaus = textVastaus.getText();
        ModalController.closeStage(textVastaus);
        
    }
    

    
    


    
    /**
     * Dialogi kysyy käyttäjä nimeä mihin palautetaan nimi tai null
     * @param modalityStage mille ollaan modaalisia, null = sovellukselle
     * @param oletus mikä oletus teksti on
     * @return avaa kirjautumissiuvn
     */
    // TODO

    public static String kysyNimi(Stage modalityStage, String oletus) {
        return ModalController.showModal(
                KirjautumissivuGUIController.class.getResource("KirjautumissivuGUIView.fxml"),
                "Puntti",
                modalityStage, oletus);
    }





    @Override
    public String getResult() {
        return vastaus;
    }





    @Override
    public void handleShown() {
        textVastaus.requestFocus();
        
    }





    @Override
    public void setDefault(String oletus) {
        textVastaus.setText(oletus);
        
    }

}