package testaus;

/**
 * @author laspa
 * @version 5.3.2025
 *
 */
public class ErilaisetArvonnat {
    
    /**
     * Arpoo satunnaisen kokonaisluvun välille [ala,yla]
     * @param ala arvonnan alaraja
     * @param yla arvonnan yläraja
     * @return satunnainen luku väliltä [ala,yla]
     */
    public static int arvontaS(int ala, int yla){
      double n = (yla-ala)*Math.random() + ala;
      return (int)Math.round(n);
    }
    
    /**
     * Arpoo satunnisen leveyden [ala,yla]
     * @return satunnainen luku väliltä [ala,yla]
     */
    public static String arvontaL(){
      int luku = arvontaS(1,3);
      if(luku == 1) return "kapea";
      if(luku == 2) return "neutraali";
      if(luku == 3) return "leveä";
      return "";
    }
    
    /**
     * Arvotaan satunnainen paiva    
     * @return satunnainen paivamaara
     */
    public static String arvoPaiva() {
        String testiPaiva = String.format("%02d",arvontaS(1,28)) + "." +
        String.format("%02d",arvontaS(1,12)) + "."   +
        String.format("%04d",arvontaS(2000,2025));
        return testiPaiva;       
    }

    
    

}
